6.0.0-git
2021-01-18

[#2270] Kolab fails to support group acls
Summary Kolab fails to support group acls
Queue Kolab
Type Bug
State Resolved
Priority 1. Low
Owners stuart (at)
Requester csacca (at) thecsl (dot) org
Created 2005-07-14 (5667 days ago)
Due
Updated 2006-07-17 (5299 days ago)
Assigned 2005-07-15 (5666 days ago)
Resolved 2006-07-17 (5299 days ago)
Milestone
Patch Yes

History
2006-07-17 09:13:45 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
Tweaked and committed, thanks.
2005-12-25 19:15:43 Chuck Hagenbuch Version ⇒
Queue ⇒ Kolab
 
2005-07-26 15:02:15 csacca (at) thecsl (dot) org Comment #2 Reply to this comment
Is there anything I should / need to do for this bug + patch?  Just 
checking in to see if I can give any help...
2005-07-15 00:06:39 Chuck Hagenbuch Assigned to stuart
State ⇒ Assigned
 
2005-07-14 17:48:13 csacca (at) thecsl (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab fails to support group acls
Queue ⇒ Horde Framework Packages
New Attachment: kolab_group_perm.patch Download
Reply to this comment
In the function 'aclToArray' on line 1012 of 
framework/Kolab/Kolab.php, it's clear that the kolab driver does not 
support group acls.  This is probably not the right thing to do as 
Kolab does support group acls and with the development ldap group 
backend, it would be good to support it.  I made a patch that check to 
see if the acl is for a group or a user, and in the case of a group, 
expands the group into a list of users, each having the permissions of 
the group.  I'm not sure if this is the best way, but it's at the very 
least a starting point.



I tested this with a pached ldap group backend, though it is useing 
the group API, so it should work fine with the datatree backend.

Saved Queries